Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 166011 - org.openide.filesystems.FileStateInvalidException: /c42home/dirk/src/bvopmenu/pom.xml
org.openide.filesystems.FileStateInvalidException: /c42home/dirk/src/bvopmenu...
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Milos Kleint
issues@platform
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 08:50 UTC by dirk_schmitt
Modified: 2009-07-20 14:42 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (6.27 KB, text/plain)
2009-05-26 08:50 UTC, dirk_schmitt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dirk_schmitt 2009-05-26 08:50:22 UTC
Build: NetBeans IDE 6.7 Beta (Build 200904242137)
VM: OpenJDK 64-Bit Server VM, 14.0-b08, OpenJDK Runtime Environment, 1.6.0_0-b14
OS: Linux, 2.6.28-12-generic, amd64

Stacktrace: 
org.openide.loaders.DataObjectNotFoundException: /c42home/dirk/src/bvopmenu/pom.xml
        at org.openide.loaders.DataObject.find(DataObject.java:505)
        at org.netbeans.modules.maven.hints.pom.StatusProvider$StatusProviderImpl.getUpToDate(StatusProvider.java:222)
        at org.netbeans.modules.editor.errorstripe.AnnotationViewDataImpl.computeTotalStatusType(AnnotationViewDataImpl.java:467)
        at org.netbeans.modules.editor.errorstripe.AnnotationView.drawGlobalStatus(AnnotationView.java:250)
        at org.netbeans.modules.editor.errorstripe.AnnotationView.paintComponent(AnnotationView.java:342)
        at javax.swing.JComponent.paint(JComponent.java:1038)
Comment 1 dirk_schmitt 2009-05-26 08:50:27 UTC
Created attachment 82779 [details]
stacktrace
Comment 2 Milos Kleint 2009-06-03 14:57:56 UTC
http://hg.netbeans.org/main/rev/8153546584fb
Comment 3 Quality Engineering 2009-06-04 08:58:50 UTC
Integrated into 'main-golden', will be available in build *200906040201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8153546584fb
User: Milos Kleint <mkleint@netbeans.org>
Log: #166011 cater for the invalid fileobject usecase and silently ignore it..
Comment 4 Jaroslav Pospisil 2009-06-25 15:52:26 UTC
v.
Comment 5 pgebauer 2009-07-02 12:38:10 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/47f31598a483


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo